Tax
INFO
Har bir javob umumiy konvertda qaytadi — code, message, messages, status_code, time — foydali yuk esa data ichida. Quyidagi jadvallar faqat data ichini tavsiflaydi.
POST /tax/create
This method allows adding tax into the account.
So‘rov tanasi
| Maydon | Tur | Majburiy | Tavsif |
|---|---|---|---|
name | string | Ha | |
rate | number | Ha | |
type | string | Ha | Mumkin qiymatlar: included, added |
to_price | boolean | Ha | |
is_manual | boolean | Ha | |
organization_ids | string[] | Ha | |
is_all | boolean | Ha | |
is_all_categories | boolean | Ha | |
is_all_suppliers | boolean | Ha | |
supplier_ids | string[] | Yo‘q | |
category_ids | string[] | Yo‘q | |
item_added_ids | string[] | Yo‘q | |
item_removed_ids | string[] | Yo‘q |
{
"name": "VAT",
"rate": 7.25,
"type": "included",
"to_price": true,
"is_manual": false,
"organization_ids": [
"64e944999f719902a7ff641b"
],
"is_all": true,
"is_all_categories": false,
"is_all_suppliers": true,
"supplier_ids": [
"64e944999f719902a7ff641c"
],
"category_ids": [
"64e944999f719902a7ff641d"
],
"item_added_ids": [
"64e944999f719902a7ff641e"
],
"item_removed_ids": [
"64e944999f719902a7ff641f"
]
}Javob
| Maydon | Tur | Tavsif |
|---|---|---|
_id | string | |
name | string | |
rate | number | |
type | string | Mumkin qiymatlar: included, added |
is_all | boolean | |
is_all_categories | boolean | |
is_all_suppliers | boolean | |
supplier_ids | string[] | |
category_ids | string[] | |
item_added_ids | string[] | |
item_removed_ids | string[] | |
item_count | number | |
to_price | boolean | |
is_manual | boolean | |
organization_ids | string[] | |
last_payment_date | string (date-time) | |
last_payment_amount | number | |
calculated_amount | number | |
is_enabled | boolean |
{
"code": 0,
"message": "Success",
"status_code": 200,
"data": {
"_id": "64e944999f719902a7ff641b",
"name": "string",
"rate": 0,
"type": "included",
"is_all": false,
"is_all_categories": false,
"is_all_suppliers": false,
"supplier_ids": [
"string"
],
"category_ids": [
"string"
],
"item_added_ids": [
"string"
],
"item_removed_ids": [
"string"
],
"item_count": 0,
"to_price": false,
"is_manual": false,
"organization_ids": [
"string"
],
"last_payment_date": "2025-05-01T12:00:00Z",
"last_payment_amount": 0,
"calculated_amount": 0,
"is_enabled": false
},
"time": "2025-05-01T12:00:00Z"
}PUT /tax/update
This method allows updating saler-order in the account.
So‘rov tanasi
| Maydon | Tur | Majburiy | Tavsif |
|---|---|---|---|
_id | string | Yo‘q | |
name | string | Ha | |
rate | number | Ha | |
type | string | Ha | Mumkin qiymatlar: included, added |
to_price | boolean | Ha | |
is_manual | boolean | Ha | |
organization_ids | string[] | Yo‘q |
{
"_id": "64e944999f719902a7ff641b",
"name": "VAT",
"rate": 7.25,
"type": "included",
"to_price": true,
"is_manual": false,
"organization_ids": [
"64e944999f719902a7ff641b"
]
}Javob
Javob tuzilishi quyidagi bilan bir xil: POST /tax/create.
DELETE /tax/delete/{id}
Delete a tax
Yo‘l parametrlari
| Parametr | Tur | Majburiy | Tavsif |
|---|---|---|---|
id | string | Ha |
So‘rov tanasi
So‘rov tanasi talab qilinmaydi.
Javob
{
"code": 0,
"message": "Success",
"status_code": 200,
"data": "ok",
"time": "2025-05-01T12:00:00Z"
}GET /tax/get-by-id/{id}
Get tax using its _id
Yo‘l parametrlari
| Parametr | Tur | Majburiy | Tavsif |
|---|---|---|---|
id | string | Ha |
So‘rov tanasi
So‘rov tanasi talab qilinmaydi.
Javob
Javob tuzilishi quyidagi bilan bir xil: POST /tax/create.
POST /tax/get-all
Get all taxs
So‘rov tanasi
| Maydon | Tur | Majburiy | Tavsif |
|---|---|---|---|
organization_id | string | Yo‘q | |
type | string | Yo‘q | Mumkin qiymatlar: included, added. Standart: "included" |
is_manual | boolean | Yo‘q | Standart: false |
{
"organization_id": "64e944999f719902a7ff641b",
"type": "included",
"is_manual": false
}Javob
{
"code": 0,
"message": "Success",
"status_code": 200,
"data": [
{
"_id": "64e944999f719902a7ff641b",
"name": "string",
"rate": 0,
"type": "included",
"is_all": false,
"is_all_categories": false,
"is_all_suppliers": false,
"supplier_ids": [
"string"
],
"category_ids": [
"string"
],
"item_added_ids": [
"string"
],
"item_removed_ids": [
"string"
],
"item_count": 0,
"to_price": false,
"is_manual": false,
"organization_ids": [
"string"
],
"last_payment_date": "2025-05-01T12:00:00Z",
"last_payment_amount": 0,
"calculated_amount": 0,
"is_enabled": false
}
],
"time": "2025-05-01T12:00:00Z"
}POST /tax/get-paging
Get taxs by paging
So‘rov tanasi
| Maydon | Tur | Majburiy | Tavsif |
|---|---|---|---|
page | number | Ha | Standart: 1 |
limit | number | Ha | Standart: 20 |
organization_id | string | Yo‘q | |
type | string | Yo‘q | Mumkin qiymatlar: included, added. Standart: "included" |
is_manual | boolean | Yo‘q | Standart: false |
{
"page": 1,
"limit": 20,
"organization_id": "64e944999f719902a7ff641b",
"type": "included",
"is_manual": false
}Javob
| Maydon | Tur | Tavsif |
|---|---|---|
code | number | system code of response. Standart: 0 |
message | string | |
status_code | number | status code of response. Standart: 200 |
messages | object | |
messages.uz | string | |
messages.ru | string | |
messages.en | string | |
time | string (date-time) | time of response |
{
"code": 0,
"message": "Success",
"status_code": 200,
"data": {
"code": 0,
"message": "Success",
"status_code": 200,
"messages": {
"uz": "Muvaffaqiyatli",
"ru": "Успешно",
"en": "Successful"
},
"time": "2025-05-01T12:00:00Z"
},
"time": "2025-05-01T12:00:00Z"
}POST /tax/get-items
Get tax-items
So‘rov tanasi
| Maydon | Tur | Majburiy | Tavsif |
|---|---|---|---|
tax_id | string | Ha | |
page | number | Ha | Standart: 1 |
limit | number | Ha | Standart: 20 |
{
"tax_id": "64e944999f719902a7ff641b",
"page": 1,
"limit": 20
}Javob
{
"code": 0,
"message": "Success",
"status_code": 200,
"data": [
{
"_id": "64e944999f719902a7ff641b",
"created_at": "2025-05-01T12:00:00Z",
"is_material": true,
"is_product": true,
"item_id": "64e944999f719902a7ff641b",
"tax_id": "64e944999f719902a7ff641b",
"updated_at": "2025-05-01T12:00:00Z",
"item": {
"_id": "64e944999f719902a7ff641b",
"name": "Item Name",
"measure_id": "64e944999f719902a7ff641b",
"barcode": "1234567890123"
}
}
],
"time": "2025-05-01T12:00:00Z"
}GET /tax/get-deleted
Get deleted tax ids
So‘rov parametrlari
| Parametr | Tur | Majburiy | Tavsif |
|---|---|---|---|
deleted_at | string | Ha |
So‘rov tanasi
So‘rov tanasi talab qilinmaydi.
Javob
{
"code": 0,
"message": "Success",
"status_code": 200,
"data": [
"string"
],
"time": "2025-05-01T12:00:00Z"
}Bu sahifa OpenAPI spetsifikatsiyasidan yaratilgan.